Name: kde-edu-kwordquiz
Summary: Flash Card Trainer 
Version: 14.12.3
Release: %mkrel 3
Group: Graphical desktop/KDE4
License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/stable/%{version}/src/kwordquiz-%{version}.tar.xz
BuildRequires: kdelibs-devel
BuildRequires: libkdeedu-devel
Requires: kde-runtime
Requires: libkdeedu

%description
KWordQuiz is a general purpose flash card program. It can be used for
vocabulary learning and many other subjects. If you need more advanced
language learning features, please try KVocTrain.

%files
%defattr(-,root,root)
%{_kde_bindir}/kwordquiz
%{_kde_appsdir}/kwordquiz/
%{_kde_datadir}/applications/kde4/kwordquiz.desktop
%{_kde_datadir}/appdata/kwordquiz.appdata.xml
%{_kde_datadir}/config.kcfg/kwordquiz.kcfg
%{_kde_configdir}/kwordquiz.knsrc
%{_kde_iconsdir}/hicolor/*/*/kwordquiz.*
%{_kde_docdir}/HTML/*/kwordquiz/*
%{_kde_iconsdir}/hicolor/*/mimetypes/application-x-kwordquiz.png

%prep
%setup -q -n kwordquiz-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

